Name:           gcab
Version:        1.4
Release:        1
Summary:        A GObject library to create cabinet files
License:        LGPLv2+
URL:            http://ftp.gnome.org/pub/GNOME/sources/gcab
Source0:        http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  meson zlib-devel gobject-introspection-devel glib2-devel
BuildRequires:  gettext gtk-doc vala
BuildRequires:  git

Obsoletes:      gcab < %{version}-%{release}
Provides:       gcab = %{version}-%{release}

%description
Gcab is a gobject library to create cabinet files.

%package devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       glib2-devel pkgconfig

Obsoletes:      gcab-devel < %{version}-%{release}
Provides:       gcab-devel

%description devel
This package contains the development files for %{name}.

%package_help

%prep
%autosetup -n %{name}-%{version}

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%check
%meson_test

%ldconfig_scriptlets -n gcab

%files -f %{name}.lang
%license COPYING
%{_bindir}/%{name}
%{_libdir}/*/GCab-1.0.typelib
%{_libdir}/lib%{name}*.so.*

%files devel
%{_includedir}/libgcab-1.0/*
%{_libdir}/lib%{name}*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/GCab-1.0.gir
%{_datadir}/gtk-doc/html/%{name}/*
%{_datadir}/vala/*/lib%{name}-1.0*

%files help
%doc NEWS README.md
%{_mandir}/man1/gcab.1*

%changelog
* Mon May 24 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 1.4-1
- Upgrade to 1.4
- Update Version, Release, Obsoletes, Provides, stage %prep
- Delete patches

* Tue May 18 2021 lin.zhang <lin.zhang@turbolinux.com.cn>  - 1.1-5
- add BuildRequires git

* Mon Nov 25 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.1-4
- Package init
